<!doctype html>
<html lang="en">
<head>
<title>66-debian-contributors-shake-up</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="a_1gM7LUVcOCEPzT1b" title="a_1gM7LUVcOCEPzT1b" style="background-color:#ef67cf">Debian Contributors shake-up</span><br><span class="a_1gM7LUVcOCEPzT1b" title="a_1gM7LUVcOCEPzT1b" style="background-color:#ef67cf">===========================</span><br><span class="a_1gM7LUVcOCEPzT1b" title="a_1gM7LUVcOCEPzT1b" style="background-color:#ef67cf">The Debian Contributors Website turns 10 this year, and keeping the data sources that feed it up to date is still an open issue.</span><br><span class="a_1gM7LUVcOCEPzT1b" title="a_1gM7LUVcOCEPzT1b" style="background-color:#ef67cf"></span><br><span class="a_1gM7LUVcOCEPzT1b" title="a_1gM7LUVcOCEPzT1b" style="background-color:#ef67cf">This can be a BoF/QA/hack session on the website: https://contributors.debian.org/ ;</span><br><span class="a_1gM7LUVcOCEPzT1b" title="a_1gM7LUVcOCEPzT1b" style="background-color:#ef67cf">corresponding wiki: https://wiki.debian.org/DebianContributors ;</span><br><span class="a_1gM7LUVcOCEPzT1b" title="a_1gM7LUVcOCEPzT1b" style="background-color:#ef67cf">salsa: https://salsa.debian.org/nm-team/contributors.debian.org/-/issues ;</span><br><span class="a_1gM7LUVcOCEPzT1b" title="a_1gM7LUVcOCEPzT1b" style="background-color:#ef67cf">as well as an effort to get teams involved into the data mining task: https://salsa.debian.org/tassia/dc-sources/</span><br><span class="a_1gM7LUVcOCEPzT1b" title="a_1gM7LUVcOCEPzT1b" style="background-color:#ef67cf"></span><br><ul class="bullet"><li><span class="a_1gM7LUVcOCEPzT1b" title="a_1gM7LUVcOCEPzT1b" style="background-color:#ef67cf">*</span><span class="a_1gM7LUVcOCEPzT1b" title="a_1gM7LUVcOCEPzT1b" style="background-color:#ef67cf">Short intro on Debian contributors (if needed)</span><span class="a_4mzTxyjacqpT0Trg" title="a_4mzTxyjacqpT0Trg" style="background-color:#2e8a28"></span><ul class="bullet"><li><span class="a_4mzTxyjacqpT0Trg" title="a_4mzTxyjacqpT0Trg" style="background-color:#2e8a28">*</span><span class="a_4mzTxyjacqpT0Trg" title="a_4mzTxyjacqpT0Trg" style="background-color:#2e8a28">acknowledging/thanking contributions</span></li><li><span class="a_4mzTxyjacqpT0Trg" title="a_4mzTxyjacqpT0Trg" style="background-color:#2e8a28">*</span><span class="a_4mzTxyjacqpT0Trg" title="a_4mzTxyjacqpT0Trg" style="background-color:#2e8a28">the minimum we can do</span></li><li><span class="a_4mzTxyjacqpT0Trg" title="a_4mzTxyjacqpT0Trg" style="background-color:#2e8a28">*</span><span class="a_4mzTxyjacqpT0Trg" title="a_4mzTxyjacqpT0Trg" style="background-color:#2e8a28">entry point for data protection compliance</span></li><li><span class="a_4mzTxyjacqpT0Trg" title="a_4mzTxyjacqpT0Trg" style="background-color:#2e8a28">*</span><span class="a_4mzTxyjacqpT0Trg" title="a_4mzTxyjacqpT0Trg" style="background-color:#2e8a28">a way to see more of the breadth of Debian</span><span class="a_1gM7LUVcOCEPzT1b" title="a_1gM7LUVcOCEPzT1b" style="background-color:#ef67cf"></span></ul><li><span class="a_1gM7LUVcOCEPzT1b" title="a_1gM7LUVcOCEPzT1b" style="background-color:#ef67cf">*</span><span class="a_1gM7LUVcOCEPzT1b" title="a_1gM7LUVcOCEPzT1b" style="background-color:#ef67cf">Design choices, and needed changes to make sure the service is funcional</span><span class="a_4mzTxyjacqpT0Trg" title="a_4mzTxyjacqpT0Trg" style="background-color:#2e8a28"></span><ul class="bullet"><li><span class="a_4mzTxyjacqpT0Trg" title="a_4mzTxyjacqpT0Trg" style="background-color:#2e8a28">*</span><span class="a_4mzTxyjacqpT0Trg" title="a_4mzTxyjacqpT0Trg" style="background-color:#2e8a28">simple data model (begin-end dates, no gaps)</span></li><li><span class="a_4mzTxyjacqpT0Trg" title="a_4mzTxyjacqpT0Trg" style="background-color:#2e8a28">*</span><span class="a_4mzTxyjacqpT0Trg" title="a_4mzTxyjacqpT0Trg" style="background-color:#2e8a28">only dates, no times</span></li><li><span class="a_4mzTxyjacqpT0Trg" title="a_4mzTxyjacqpT0Trg" style="background-color:#2e8a28">*</span><span class="a_4mzTxyjacqpT0Trg" title="a_4mzTxyjacqpT0Trg" style="background-color:#2e8a28">identities used for contribution (emails, usernames, ...)</span></li><li><span class="a_4mzTxyjacqpT0Trg" title="a_4mzTxyjacqpT0Trg" style="background-color:#2e8a28">*</span><span class="a_4mzTxyjacqpT0Trg" title="a_4mzTxyjacqpT0Trg" style="background-color:#2e8a28">users who can claim identities</span><span class="a_1gM7LUVcOCEPzT1b" title="a_1gM7LUVcOCEPzT1b" style="background-color:#ef67cf"></span></li><li><span class="a_1gM7LUVcOCEPzT1b" title="a_1gM7LUVcOCEPzT1b" style="background-color:#ef67cf">*</span><span class="a_1gM7LUVcOCEPzT1b" title="a_1gM7LUVcOCEPzT1b" style="background-color:#ef67cf">team members as data source admins</span></ul><li><span class="a_1gM7LUVcOCEPzT1b" title="a_1gM7LUVcOCEPzT1b" style="background-color:#ef67cf">*</span><span class="a_1gM7LUVcOCEPzT1b" title="a_1gM7LUVcOCEPzT1b" style="background-color:#ef67cf">Recently updated sources</span></li><li><span class="a_1gM7LUVcOCEPzT1b" title="a_1gM7LUVcOCEPzT1b" style="background-color:#ef67cf">*</span><span class="a_1gM7LUVcOCEPzT1b" title="a_1gM7LUVcOCEPzT1b" style="background-color:#ef67cf">Missing sources: DebConf, Outreach, Testing, ???</span><span class="a_Wh6QyvW83GVpStvB" title="a_Wh6QyvW83GVpStvB" style="background-color:#9a017d"></span></ul><span class="a_Wh6QyvW83GVpStvB" title="a_Wh6QyvW83GVpStvB" style="background-color:#9a017d"></span><br><span class="a_Wh6QyvW83GVpStvB" title="a_Wh6QyvW83GVpStvB" style="background-color:#9a017d">Should "pushing the recorded contribution data to contributors.d.o" become mandatory for hosting a service on debian.org infrastructure? the contributors.d.o team and the data protection team seem in favor of it.</span><br><span class="a_Wh6QyvW83GVpStvB" title="a_Wh6QyvW83GVpStvB" style="background-color:#9a017d"></span><br><span class="a_Wh6QyvW83GVpStvB" title="a_Wh6QyvW83GVpStvB" style="background-color:#9a017d">Data privacy issues: contributors.d.o doesn't show data about a person until they claim that they own the identifier associated to the data (so public display of the data is opt-in), except for Debian Developers.- Most of the data collected can already be derived off of public information, indexed by search engines.</span><span class="anonymous" title="anonymous"></span><br>
</body>
</html>
